PETSc version 3.15.5
Fix/Edit manual page

# InsertMode

Whether entries are inserted or added into vectors or matrices

### Synopsis

    typedef enum {NOT_SET_VALUES, INSERT_VALUES, ADD_VALUES, MAX_VALUES, MIN_VALUES, INSERT_ALL_VALUES, ADD_ALL_VALUES, INSERT_BC_VALUES, ADD_BC_VALUES} InsertMode;

### See Also

VecSetValues(), MatSetValues(), VecSetValue(), VecSetValuesBlocked(),
VecSetValuesLocal(), VecSetValuesBlockedLocal(), MatSetValuesBlocked(), MatSetValuesBlockedLocal(), MatSetValuesLocal(), VecScatterBegin(), VecScatterEnd()

### Level

beginner

### Location

include/petscsystypes.h

### Examples

src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages